javax.enterprise.concurrent

## Class SkippedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.concurrent.ExecutionException
      - - javax.enterprise.concurrent.SkippedException

- All Implemented Interfaces:
    Serializable

      public class SkippedException
      extends ExecutionException
      implements Serializable

  Exception indicating that the result of a value-producing task cannot be retrieved because the task run was skipped. A task can be skipped if the `Trigger.skipRun(javax.enterprise.concurrent.LastExecution, java.util.Date)` method returns true or if it throws an unchecked exception.

  Use the `Throwable.getCause()` method to determine if an unchecked exception was thrown from the Trigger.

  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkippedException()` Constructs an SkippedException with null as its detail message.
    `SkippedException(String message)` Constructs an SkippedException exception with the specified detail message.
    `SkippedException(String message, Throwable cause)` Constructs an SkippedException exception with the specified detail message and cause.
    `SkippedException(Throwable cause)` Constructs an SkippedException exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SkippedException

          public SkippedException()

      Constructs an SkippedException with null as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### SkippedException

          public SkippedException(String message)

      Constructs an SkippedException exception with the specified detail message.

      The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### SkippedException

          public SkippedException(String message,
                          Throwable cause)

      Constructs an SkippedException exception with the specified detail message and cause.

      Note that the detail message associated with cause is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### SkippedException

          public SkippedException(Throwable cause)

      Constructs an SkippedException exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.